QCAT - Task #747

User Story # 695 (Closed): Implementation of web services to query SLM practicies

Implementation of Web Services to query Questionnaire
07 Jan 2016 15:55 - Lukas Vonlanthen

Status: Closed Start date: 23 May 2016
Priority: Normal Due date: 24 May 2016
Assignee: Sebastian Manger % Done: 0%
Category: Estimated time: 0.00 hour
Target version: QCAT v0.9 - Second Beta Spent time: 0.00 hour
Resolution:

Description

Acceptance Critera:

As discussed on the standup (22. Feb. 2016)

APl users must be associated to an organization. As tokens - user is a 1:1 relation, put this info in a new field.
More context can be gathered on the wocat user management page (not automated)

Access elasticsearch APl instead of database

Use existing helper methods for description and such

Use default config for list view

Provide option to override config with a specified one on the detail view

Add filters on the list view (which filters?)

Add documentation for Accept header / response formats

Add available configs for each questionnaire
Related issues:
Follows Task #596: Specification of APl / webservices Closed 11 May 2016

20 May 2016

History

#1 - 07 Jan 2016 15:55 - Lukas Vonlanthen
- Follows Task #596: Specification of APl / webservices added

#2 - 07 Jan 2016 16:30 - Lukas Vonlanthen

- Assignee set to Sebastian Manger

#3 - 22 Feb 2016 13:26 - Sebastian Manger

- Status changed from New to In Progress

#4 - 24 Feb 2016 18:19 - Sebastian Manger

- Description updated

#5 - 25 Feb 2016 16:27 - Sebastian Manger

- Status changed from In Progress to Resolved

#6 - 29 Mar 2016 17:44 - Kurt Gerber
- Due date changed from 02 May 2016 to 31 May 2016
- Status changed from Resolved to In Progress

- Start date changed from 02 May 2016 to 30 May 2016

Implementation of SKBP Fields.

#7 - 29 Mar 2016 17:51 - Kurt Gerber

- Status changed from In Progress to Closed

26 Mar 2025
